Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 189537 - Gnome-screensaver updates and xscreensaver
Summary: Gnome-screensaver updates and xscreensaver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-screensaver
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL: http://forum.fedoraforum.org/forum/sh...
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-04-20 20:01 UTC by Mathew Tebbens
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-22 13:53:34 UTC


Attachments (Terms of Use)

Description Mathew Tebbens 2006-04-20 20:01:48 UTC
Description of problem:
Start with Xscreensaver and Gnome-screensaver installed.
Any update to Gnome-screensaver will wipe out the themes
in /usr/share/gnome-screensaver/themes.

Version-Release number of selected component (if applicable):


How reproducible:
SEE DESCRIPTION.

Steps to Reproduce:
1. SEE DESCRIPTION.
2.
3.
  
Actual results:
SEE DESCRIPTION.

Expected results:
SEE DESCRIPTION.

Additional info:
http://forum.fedoraforum.org/forum/showthread.php?t=102258&highlight=xscreensaver

Comment 1 Joachim Frieben 2006-09-21 09:37:47 UTC
As of "gnome-screensaver-2.16.0-5.fc6", the "xscreensaver-gl-extras" hacks
still disappear as either "gnome-screensaver" or "xscreensaver-gl-extras"
is updated. Only after a fresh install, adding "xscreensaver-gl-extras"
leads to a working setup where -all- screensaver modes are accessible from
the "gnome-screensaver" dialog. This should become an "FC6" target bug.

Comment 2 Joachim Frieben 2006-09-22 08:52:53 UTC
Oops, there has been some change regarding the "xscreensaver" integration
to "gnome-screensaver". As of "xscreensaver-5.01-1" (2006-09-19), additional
packages "xscreensaver-extras-gss" and "xscreensaver-gl-extras-gss" have
shown up in the "extras" repository. From the description: "This package
contains desktop files of (gl)-extras screensavers for gnome-screensaver
compatibility." The issue can hence be considered settled, I guess.

Comment 3 Ray Strode [halfline] 2006-09-22 13:53:34 UTC
Oh right,  Nils changed the packaging structure, so we could drop the triggers.


Note You need to log in before you can comment on or make changes to this bug.